<?php

require 'JoueurGateway.php';

class Controller
{
    private Connection $con;

    /**
     * @param Connection $con
     */
    function __construct(Connection $con) {
        $this->con=$con;
        session_start();
        try{
            $action=$_REQUEST['action'];
            switch($action) {
                case NULL:
                    //require ('../View/src/pages/Main.html');
                    header('Location: http://londres.uca.local/~nogarnier1/Scripted/WEB/View/src/pages/Main.html');
                    break;
                case "login":
                    $this->login();
                    break;
            }
        } catch (PDOException $e)
        {
            //si erreur BD, pas le cas ici
            $dataVueEreur[] = "Erreur inattendue!!! ";
            //require(__DIR__.'/../vues/erreur.php'); // ajout du code de la vue ici
        }
        catch (Exception $e2)
        {
            $dataVueEreur[] = "Erreur inattendue!!! ";
            //require ($rep.$vues['erreur']);
        }
    }

    private function login() {
        $gateway=new JoueurGateway($this->con);
        $joueur=new Joueur($_REQUEST['email'], $_REQUEST['username'], $_REQUEST['password']);
        $gateway->insert($joueur);
        $gateway->showAll();
    }
}