<?php

class Enigme
{
    private string $idEnigme;
    private string $admin;
    private string $enonce;
    private string $aide;
    private string $rappel;
    private string $solution;
    private string $test;
    private float $tempsDeResolution;

    /**
     * @param string $idEnigme
     * @param string $admin
     * @param string $enonce
     * @param string $aide
     * @param string $rappel
     * @param string $solution
     * @param string $test
     * @param int $tempsDeResolution
     */
    public function __construct(string $idEnigme, string $admin, string $enonce, string $aide, string $rappel, string $solution, string $test, float $tempsDeResolution)
    {
        $this->idEnigme = $idEnigme;
        $this->admin = $admin;
        $this->enonce = $enonce;
        $this->aide = $aide;
        $this->rappel = $rappel;
        $this->solution = $solution;
        $this->test = $test;
        $this->tempsDeResolution = $tempsDeResolution;
    }

    /**
     * @return string
     */
    public function getIdEnigme(): string
    {
        return $this->idEnigme;
    }

    /**
     * @param string $idEnigme
     */
    public function setIdEnigme(string $idEnigme): void
    {
        $this->idEnigme = $idEnigme;
    }

    /**
     * @return string
     */
    public function getAdmin(): string
    {
        return $this->admin;
    }

    /**
     * @param string $admin
     */
    public function setAdmin(string $admin): void
    {
        $this->admin = $admin;
    }

    /**
     * @return string
     */
    public function getEnonce(): string
    {
        return $this->enonce;
    }

    /**
     * @param string $enonce
     */
    public function setEnonce(string $enonce): void
    {
        $this->enonce = $enonce;
    }

    /**
     * @return string
     */
    public function getAide(): string
    {
        return $this->aide;
    }

    /**
     * @param string $aide
     */
    public function setAide(string $aide): void
    {
        $this->aide = $aide;
    }

    /**
     * @return string
     */
    public function getRappel(): string
    {
        return $this->rappel;
    }

    /**
     * @param string $rappel
     */
    public function setRappel(string $rappel): void
    {
        $this->rappel = $rappel;
    }

    /**
     * @return string
     */
    public function getSolution(): string
    {
        return $this->solution;
    }

    /**
     * @param string $solution
     */
    public function setSolution(string $solution): void
    {
        $this->solution = $solution;
    }

    /**
     * @return string
     */
    public function getTest(): string
    {
        return $this->test;
    }

    /**
     * @param string $test
     */
    public function setTest(string $test): void
    {
        $this->test = $test;
    }

    /**
     * @return int
     */
    public function getTempsDeResolution(): float
    {
        return $this->tempsDeResolution;
    }

    /**
     * @param int $tempsDeResolution
     */
    public function setTempsDeResolution(float $tempsDeResolution): void
    {
        $this->tempsDeResolution = $tempsDeResolution;
    }
}